#
# spec file for package pcsc-acsccid
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Advanced Card Systems Ltd.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1140
%if %( echo `rpm -q --queryformat %%{version} udev` ) > 190
%define _udevrulesdir /usr/lib/udev/rules.d
%else
%define _udevrulesdir /lib/udev/rules.d
%endif
%endif

Name:           pcsc-acsccid
%define _name acsccid
BuildRequires:  flex
BuildRequires:  libusb-1_0-devel >= 1.0.9
BuildRequires:  pcsc-lite-devel >= 1.8.3
BuildRequires:  pkg-config
%if 0%{?suse_version} >= 1140
BuildRequires:  udev
%endif
Version:        1.1.5
Release:        lp150.1.6
Url:            http://acsccid.sourceforge.net/
Summary:        PCSC Driver for ACS CCID Based Smart Card Readers
License:        LGPL-2.1+
Group:          Productivity/Security
Source:         http://downloads.sourceforge.net/%{_name}/%{_name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       pcsc-lite >= 1.8.3
%define ifddir %(pkg-config libpcsclite --variable=usbdropdir)

Enhances:       modalias(usb:v072FpB301d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB304d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8300d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8302d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8307d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8301d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp90CCd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp90D8d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB100d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB101d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB102d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB103d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB10Cd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB104d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB000d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp90D2d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8306d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2011d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8900d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8901d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8902d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp1205d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp1204d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp1206d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2200d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2214d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp1280d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2207d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp222Bd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2206d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp222Ed*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2237d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2219d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2203d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp221Ad*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2229d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp222Dd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2218d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp221Bd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2232d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2242d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2238d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp224Fd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp223Bd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp223Ed*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp223Dd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2244d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2259d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp223Fd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2239d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2211d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2252d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2100d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2224d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp220Fd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2217d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2223d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2208d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp0901d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp220Ad*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2215d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2220d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2233d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2234d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2235d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2236d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2213d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp222Cd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp220Cd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp2258d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp0102d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp0103d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp0100d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp224Ad*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8201d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8206d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8202d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp8205d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp90DBd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB200d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072FpB106d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp9000d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp90CFd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp0101d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp9006d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072Fp90CEd*dc*dsc*dp*ic*isc*ip*)

%description
This package contains a ACS USB CCID (Chip/Smart Card Interface
Devices) driver.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.

%prep
%setup -q -n %{_name}-%{version}
cp -a src/openct/LICENSE LICENSE.openct
cp -a src/towitoko/README README.towitoko

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} >= 1140
mkdir -p $RPM_BUILD_ROOT/%{_udevrulesdir}
sed 's:GROUP="pcscd":GROUP="scard":' <src/92_pcscd_acsccid.rules >$RPM_BUILD_ROOT/%{_udevrulesdir}/92_pcscd_acsccid.rules
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE.openct NEWS README README.towitoko
%{ifddir}/*
%if 0%{?suse_version} >= 1140
%{_udevrulesdir}/*.rules
%endif

%changelog
* Wed Oct 25 2017 godfrey.chung@acs.com.hk
- Updated to version 1.1.5.
  * Add the following readers support:
    ACR1252IMP 1S CL Reader
    AMR220 Reader
    APG8201-B2
  * Fix ACR39U memory card problem.
  * Rename ACR3901U ICC Reader to ACR3901 ICC Reader.
  * PowerOn: use automatic voltage selection when needed.
  * PowerOn: move from 1.8V to 5V if 1.8V is not supported.
  * PowerOn: always try every possible voltage values.
  * udev rule: allow rule overwrite.
* Fri Dec 16 2016 godfrey.chung@acs.com.hk
- Updated to version 1.1.4.
* Thu Jun 23 2016 godfrey.chung@acs.com.hk
- Updated to version 1.1.3.
* Fri Feb 19 2016 godfrey.chung@acs.com.hk
- Updated to version 1.1.2.
* Fri Nov  6 2015 godfrey.chung@acs.com.hk
- Updated to version 1.1.1.
* Mon Dec 15 2014 godfrey.chung@acs.com.hk
- Updated to version 1.1.0.
* Thu Jul  3 2014 godfrey.chung@acs.com.hk
- Updated to version 1.0.8.
* Tue Jun 17 2014 godfrey.chung@acs.com.hk
- Updated to version 1.0.7.
* Wed Apr 23 2014 godfrey.chung@acs.com.hk
- Updated to version 1.0.6.
* Thu Sep  5 2013 godfrey.chung@acs.com.hk
- Updated to version 1.0.5.
* Thu Oct 18 2012 fcrozat@suse.com
- Fix build with new udev rules.d directory location.
* Mon Jun 25 2012 godfrey.chung@acs.com.hk
- Updated to version 1.0.4.
* Fri Jan 13 2012 godfrey.chung@acs.com.hk
- Updated to version 1.0.3.
- Updated copyright.
- Added USB IDs of readers.
- Removed acsccid-1.0.2-pcscd-autostart.patch.
- Removed pcsc-lite-1_7_3.patch.
- Included ChangeLog from upstream.
* Wed Jun 22 2011 wr@rosenauer.org
- fix compatibility with pcsc-lite >= 1.7.3
* Wed Jun 22 2011 godfrey.chung@acs.com.hk
- Updated to version 1.0.2 (22/6/2011):
  * Fix non-redistributable reference manual problem.
- Updated Url and Source.
* Fri Apr 29 2011 godfrey.chung@acs.com.hk
- Created package.
- Based on pcsc-ccid.spec.
